View Issue Details

IDProjectCategoryView StatusLast Update
0000002mantisbtbugtrackerpublic2009-11-05 10:31
Reporterprescience Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0000002: Reolved bugs shouldn't allow bugnote posting
Description

When a bug is resolved/closed the add bugnote needs to be removed. Instead there should be an button allowing the bug to be re-opened.

TagsNo tags attached.

Activities

prescience

prescience

2000-12-10 18:56

reporter   ~0000012

Fixed.

Related Changesets

MantisBT: master 01995ae7

2008-10-09 21:28:31

Paul Richards

Details Diff
Fix 2 cases where it was possible to bypass encoding within string_sanitize_url

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/trunk@5646 <a class="text" href="/?p=mantisbt.git;a=object;h=f5dc347c">f5dc347c</a>-c33d-0410-90a0-b07cc1902cb9
Affected Issues
0000002
mod - core/string_api.php Diff File

MantisBT: master-1.2.x 475ecf2b

2009-10-30 09:20:24

rombert

Details Diff
Fix project attachment handling using the SOAP API

This commit fixes 2 issues with the project attachment handling:

- in mc_project_attachment_add the contents was not base64 decoded;
- in mci_file_get the $row array expected to contain a bug id, bug
that only holds for issue attachments.

A test has been added to verify the behaviour of project
attachments.
Affected Issues
0000002
mod - tests/soap/AttachmentTest.php Diff File
mod - api/soap/mc_project_attachment_api.php Diff File
mod - api/soap/mc_file_api.php Diff File

MantisBT: master 77e6eac9

2009-10-30 09:20:24

rombert

Details Diff
Fix project attachment handling using the SOAP API

This commit fixes 2 issues with the project attachment handling:

- in mc_project_attachment_add the contents was not base64 decoded;
- in mci_file_get the $row array expected to contain a bug id, bug
that only holds for issue attachments.

A test has been added to verify the behaviour of project
attachments.
Affected Issues
0000002
mod - tests/soap/AttachmentTest.php Diff File
mod - api/soap/mc_project_attachment_api.php Diff File
mod - api/soap/mc_file_api.php Diff File

Issue History

Date Modified Username Field Change
2008-10-20 16:46 Changeset attached master c3510d77 =>
2008-11-11 08:32 Changeset attached master 01995ae7 =>
2008-11-11 08:45 Changeset attached master 01995ae7 =>
2009-10-30 06:10 rombert Fixed in Version => 1.3.0-beta.1
2009-10-30 06:10 rombert Changeset attached master-1.2.x 475ecf2b =>
2009-10-30 06:10 rombert Changeset attached master 77e6eac9 =>
2009-11-05 10:31 rombert Assigned To prescience =>
2009-11-05 10:31 rombert Fixed in Version 1.3.0-beta.1 =>